<?PHP
/**
* @copyright Copyright (C) 2008 Zundan. All rights reserved.
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see LICENSE.php
* PhppyaNG! is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
*/



// This file contains constants

// Constantes de la Pasarela de Pago
// ---------------------------------
define ("PASARELAPAGO_FORMATO", "507");
define ("PASARELAPAGO_CPR", "9050794"); // Segun Cuaderno 57;
define ("PASARELAPAGO_EMISOR", "04818001");
define ("PASARELAPAGO_TIPO", "601");
define ("PASARELAPAGO_IDENTIFICACION", "101209");
define ("PASARELAPAGO_CIFNIF", "2");  // 1 - CIF; 2 - NIF 

// Esta es la direccion para inicializar el pago de la Pasarela en Produccion
define ("PASARELAPAGO_URLPASARELAPAGO", "https://www6.euskadi.net/p12gWar/p12gRPCDispatcherServlet");

// Esta es la direccion para inicializar el pago de la Pasarela de pruebas
//define ("PASARELAPAGO_URLPASARELAPAGO", "https://www.testpago.euskadi.net/p12gWar/p12gRPCDispatcherServlet");

// Esta es la direccion de la Pasarela de pago en Produccion a la cual se redirecciona
// una vez admitida la inicializacion del pago
define ("PASARELAPAGO_URLREDIRECCION","https://www6.euskadi.net/s06-14692x/es/p12iWar/p12iRPCDispatcherServlet");
define ("PASARELAPAGO_URLREDIRECCION_EU","https://www6.euskadi.net/s06-14692x/eu/p12iWar/p12iRPCDispatcherServlet");


// Esta es la direccion de la Pasarela de pago de PRUEBA a la cual se redirecciona
// una vez admitida la inicializacion del pago
//define ("PASARELAPAGO_URLREDIRECCION","http://www.testpago.euskadi.net/p12iWar/p12iRPCDispatcherServlet");

define ("PASARELAPAGO_MODOPAGO","02");
// Idioma por defecto
define ("PASARELAPAGO_IDIOMA","es");
define ("PASARELAPAGO_IDIOMA_EU","eu");

// Modificar la URL del servidor Web donde este instalado la interface de Pykota
// OJO! Esta pagina es a la que TIENE QUE VOLVER EL USUARIO
define ("PASARELAPAGO_URLRETORNO", "http://10.20.13.101/users/index.php?opid=pbr");
// No es la pagina donde se van a recoger los confirmantes o logs de la Pasarela de Pago
//NO ES ESTA PAGINA ==> : define ("PASARELAPAGO_URLRETORNO", "http://www.ehu.es/pykota/index.php");

// Por ahora este valor no lo usa el servidor de Pasarela, 
// pero algo hay que enviar.
define ("PASARELAPAGO_IDSESSION", "000000000000001"); 

// EL pago minimo que se permite en la pasarela
// Importante: el separador de decimales es '.'
//            (no usar ',' como separador)
define ("PASARELAPAGO_MINIMUM_PAYMENT", "0.1");


?>

